%define majver %(echo %version | cut -d. -f1-2)
%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          plasma5support
Version:       6.3.5
Release:       1mamba
Summary:       KDE Plasma support for Plasma
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{plasmaver}/plasma5support-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Sql
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libX11-devel
BuildRequires: libXfixes-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgps-devel
BuildRequires: libkf6-kbookmarks-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kidletime-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kitemviews-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-networkmanager-qt-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libksysguard-devel
BuildRequires: libnm-devel
BuildRequires: libplasma-activities-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
KDE Plasma support for Plasma.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"



%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libPlasma5Support.so.*
%{_libdir}/libplasma-geolocation-interface.so.*
%dir %{_qt6_plugindir}/plasma5support/geolocationprovider
%{_qt6_plugindir}/plasma5support/geolocationprovider/plasma-geolocation-*.so
%dir %{_qt6_qmldir}/org/kde/plasma/plasma5support
%{_qt6_qmldir}/org/kde/plasma/plasma5support/*
%dir %{_qt6_plugindir}/plasma5support
%dir %{_qt6_plugindir}/plasma5support/dataengine
%{_qt6_plugindir}/plasma5support/dataengine/plasma_engine_*.so
%{_datadir}/plasma5support/services/*
%{_datadir}/qlogging-categories6/plasma5support.*categories
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/Plasma5Support
%{_includedir}/Plasma5Support/*
%dir %{_includedir}/plasma/geolocation
%{_includedir}/plasma/geolocation/*
%{_libdir}/libPlasma5Support.so
%{_libdir}/libplasma-geolocation-interface.so
%dir %{_libdir}/cmake/Plasma5Support
%{_libdir}/cmake/Plasma5Support/Plasma5Support*.cmake
%dir %{_qt6_qmldir}/org/kde/plasma/plasma5support
%{_qt6_docdir}/Plasma5Support.*

%changelog
* Wed May 07 2025 Automatic Build System <autodist@openmamba.org> 6.3.5-1mamba
- automatic version update by autodist

* Wed Apr 02 2025 Automatic Build System <autodist@openmamba.org> 6.3.4-1mamba
- automatic version update by autodist

* Sat Mar 15 2025 Automatic Build System <autodist@openmamba.org> 6.3.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2025 Automatic Build System <autodist@openmamba.org> 6.3.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2025 Automatic Build System <autodist@openmamba.org> 6.3.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.2.5-1mamba
- automatic version update by autodist

* Wed Nov 27 2024 Automatic Build System <autodist@openmamba.org> 6.2.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 6.1.90-1mamba
- automatic version update by autodist

* Wed Sep 11 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.0-1mamba
- update to 6.1.0

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic version update by autodist

* Mon Mar 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- update to 6.0.0

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-1mamba
- automatic version update by autodist

* Wed Jan 31 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.92.0-1mamba
- package created using the webbuild interface
